# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Perl extension for manipulating IPv4/IPv6 addresses
Name:		perl-Net-IP
Version:	1.25
Release:	8.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Net-IP/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MANU/Net-IP-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)

%description
This is the Net::IP module, designed to allow easy manipulation of IPv4 and
IPv6 addresses.

There is also a small application that uses the IP.pm module: ipcount.pl.
Basically, it's an IP address mini-calculator; it can calculate the number of
IP addresses in a prefix or all the prefixes contained in a given range.

%prep
%setup -q -n Net-IP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README COPYING
%{_bindir}/ipcount
%{_bindir}/iptab
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::IP.3pm*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.25-8
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 1.25-7
- Fix dist tag to work with RHEL6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> 1.25-6
- Dist tag for Rawhide no longer needs special-casing

* Fri Aug 28 2009 Paul Howarth <paul@city-fan.org> 1.25-5
- Define RPM macros in global scope

* Fri Oct 31 2008 Paul Howarth <paul@city-fan.org> 1.25-4
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 1.25-3
- Fix dist tag for development builds and Fedora 7 onwards
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)

* Fri May 26 2006 Paul Howarth <paul@city-fan.org> 1.25-2
- Fix broken dependency due to removal of %%__perl_version macro definition

* Thu May 25 2006 Paul Howarth <paul@city-fan.org> 1.25-1
- Update to 1.25
- Simplify distribution-detection
- Define %%{__id_u} in a more portable way

* Wed Oct 19 2005 Paul Howarth <paul@city-fan.org> 1.24-1
- Update to 1.24
- Fix directory ownership
- Don't use macros in build-time command pathnames, hardcode them instead
- Don't use %%{__perl_package} macro
- Use search.cpan.org URLs
- Unconditionally remove buildroot in %%clean and %%install

* Fri Sep  2 2005 Paul Howarth <paul@city-fan.org> 1.23-2
- Add note about package being available in Fedora Extras
- Remove redundant find of empty .bs files

* Fri Jun 24 2005 Paul Howarth <paul@city-fan.org> 1.23-1
- Initial build
